Skip to content

Stored only in your browser. Get one under Tokens.

update profile information for user

PUT
/profiles/

update profile information for user

Authorizations

ApiKeyAuth
Type
API Key (header: Authorization)

Request Body

application/json
JSON
{
  
"bio": "string",
  
"company": "string",
  
"email": "string",
  
"fullName": "string",
  
"github": "string",
  
"gitlab": "string",
  
"location": "string",
  
"meta": {
  
  
"additionalProperties": "string"
  
},
  
"nick": "string",
  
"ovmode": {
  
  
"mode": "string",
  
  
"root_of_trust": "string",
  
  
"status": "string"
  
},
  
"picture": "string",
  
"time-created": "string",
  
"time-modified": "string",
  
"twitter": "string",
  
"website": "string"
}

Responses

OK

application/json
JSON
{
  
"bio": "string",
  
"company": "string",
  
"email": "string",
  
"fullName": "string",
  
"github": "string",
  
"gitlab": "string",
  
"location": "string",
  
"meta": {
  
  
"additionalProperties": "string"
  
},
  
"nick": "string",
  
"ovmode": {
  
  
"mode": "string",
  
  
"root_of_trust": "string",
  
  
"status": "string"
  
},
  
"picture": "string",
  
"time-created": "string",
  
"time-modified": "string",
  
"twitter": "string",
  
"website": "string"
}

Playground

Authorization
Body

Samples

Powered by VitePress OpenAPI